Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 738728 (gnome-3.36-stable) - GNOME 3.36 stabilization
Summary: GNOME 3.36 stabilization
Status: RESOLVED FIXED
Alias: gnome-3.36-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 732620 736727
Blocks: gnome-3.36 python3.8-stable, python38-stable-needed 753233
  Show dependency tree
 
Reported: 2020-08-23 16:36 UTC by Mart Raudsepp
Modified: 2021-02-18 23:51 UTC (History)
3 users (show)

See Also:
Package list:
dev-lang/vala-0.48.9 dev-lang/vala-0.46.13 dev-libs/vala-common-0.48.9
Runtime testing required: ---


Attachments
tatt tests + rdeps (ppc64) (brltty-738728.report,26.20 KB, text/plain)
2020-10-18 14:32 UTC, ernsteiswuerfel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2020-08-23 16:36:12 UTC
Soon it is time to stabilize GNOME 3.36, as the core of it has been available for a while, and some stragglers are taken care of by now too.

Likely timeline is around 30th August to be ready with a package list and have these late bumps tested for at least a week meanwhile too. But can't guarantee from volunteer time, might be delayed a weekend or two.

Heavily considering flipping USE=wayland to default enabled in gnome profiles immediately before CCing arches as well.
Comment 1 Mart Raudsepp gentoo-dev 2020-08-29 11:16:13 UTC
Lets proceed.
Comment 2 NATTkA bot gentoo-dev 2020-08-29 11:22:01 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2020-08-29 13:13:43 UTC Comment hidden (obsolete)
Comment 4 Thomas Deutschmann gentoo-dev Security 2020-08-30 15:18:13 UTC
x86 stable
Comment 5 Sam James archtester gentoo-dev Security 2020-08-30 17:31:05 UTC
amd64 done
Comment 6 Sam James archtester gentoo-dev Security 2020-08-30 18:14:36 UTC
arm64 done
Comment 7 Sam James archtester gentoo-dev Security 2020-08-31 02:39:35 UTC
arm done
Comment 8 Mart Raudsepp gentoo-dev 2020-08-31 07:04:46 UTC
Changing gtksourceview to revision without gentoo syntax highlighting regression
Comment 9 NATTkA bot gentoo-dev 2020-09-25 19:56:58 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2020-09-26 16:25:04 UTC Comment hidden (obsolete)
Comment 11 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-10-09 08:26:17 UTC
hppa, ppc, ppc64, ping.  If a separate bug for libxslt would be better, let me know.
Comment 12 ernsteiswuerfel 2020-10-18 14:32:55 UTC
Created attachment 666533 [details]
tatt tests + rdeps (ppc64)

Looking good on ppc64..

Some brltty USE-flag combinations fail (bug #739632), at-spi2-core fails tests (bug #678372).
rdeps gparted (bug #729332), po4a (bug #733680), gst-plugins-base (bug #650636) fail tests.
Comment 13 Sam James archtester gentoo-dev Security 2020-11-05 16:15:58 UTC
(In reply to ernsteiswuerfel from comment #12)
> Created attachment 666533 [details]
> tatt tests + rdeps (ppc64)
> 
> Looking good on ppc64..
> 
> Some brltty USE-flag combinations fail (bug #739632), at-spi2-core fails
> tests (bug #678372).
> rdeps gparted (bug #729332), po4a (bug #733680), gst-plugins-base (bug
> #650636) fail tests.

Thank you! ppc64 stable
Comment 14 Sam James archtester gentoo-dev Security 2020-11-06 06:54:40 UTC
sparc done
Comment 15 Sam James archtester gentoo-dev Security 2020-11-06 14:59:30 UTC
ppc done
Comment 16 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-11-14 09:19:41 UTC
s390 stable
Comment 17 NATTkA bot gentoo-dev 2020-11-22 19:33:06 UTC Comment hidden (obsolete)
Comment 18 NATTkA bot gentoo-dev 2020-11-22 20:45:10 UTC Comment hidden (obsolete)
Comment 19 NATTkA bot gentoo-dev 2020-12-31 16:15:17 UTC Comment hidden (obsolete)
Comment 20 NATTkA bot gentoo-dev 2020-12-31 16:29:13 UTC Comment hidden (obsolete)
Comment 21 NATTkA bot gentoo-dev 2021-02-18 22:21:02 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2021-02-18 22:25:04 UTC
All sanity-check issues have been resolved
Comment 23 Sam James archtester gentoo-dev Security 2021-02-18 23:14:15 UTC
Vala was done already.
Comment 24 Larry the Git Cow gentoo-dev 2021-02-18 23:51:18 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46ce4c148a6727f2087ebc0ff78e2f4f4c2e08aa

commit 46ce4c148a6727f2087ebc0ff78e2f4f4c2e08aa
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-02-18 22:47:04 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-18 23:49:19 +0000

    profiles/arch/hppa/package.use.stable.mask: mask gnome-base/librsvg[vala]
    
    Bug: https://bugs.gentoo.org/738728
    Signed-off-by: Sam James <sam@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/19530
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/hppa/package.use.stable.mask | 4 ++++
 1 file changed, 4 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c64481854da489b901a85bfe429d43496ffbcd34

commit c64481854da489b901a85bfe429d43496ffbcd34
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-02-18 22:34:03 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-18 23:49:03 +0000

    dev-lang/vala: drop to ~hppa
    
    Bug: https://bugs.gentoo.org/738728
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-lang/vala/vala-0.36.20.ebuild | 4 ++--
 dev-lang/vala/vala-0.40.20.ebuild | 4 ++--
 dev-lang/vala/vala-0.40.23.ebuild | 2 +-
 dev-lang/vala/vala-0.44.11.ebuild | 4 ++--
 dev-lang/vala/vala-0.46.10.ebuild | 2 +-
 dev-lang/vala/vala-0.46.13.ebuild | 4 ++--
 dev-lang/vala/vala-0.48.6.ebuild  | 2 +-
 dev-lang/vala/vala-0.48.9.ebuild  | 4 ++--
 8 files changed, 13 insertions(+), 13 deletions(-)